<template>
  <div class="member">
    <MemberHeader :member="member" />
    <div class="separator" />
    <MemberTaskList
      class="member-task-list"
      @draft-todos="emitDraftTodos"
      :member="member"
      :todos="memberTodos"
    />
  </div>
</template>

<script>
import MemberHeader from './MemberHeader.vue';
import MemberTaskList from './MemberTaskList.vue';

export default {
  name: 'Member',
  emits: ['draftTodos'],
  props: {
    member: {
      type: Object,
      required: true,
    },
    todos: {
      type: Array,
      required: true,
    },
  },
  components: {
    MemberHeader,
    MemberTaskList,
  },
  methods: {
    emitDraftTodos($e) {
      this.$emit('draftTodos', $e);
    },
  },
  computed: {
    memberTodos() {
      return this.todos.filter((todo) => todo.userId === this.member.id);
    },
  },

};
</script>

<style lang="scss">
.member {
  min-width: 300px;
  max-width: 360px;
  height: 280px;
  margin: 0 16px 16px 0;
  padding: 31px 16px 0;
  border-radius: 16px;
  box-shadow: 0 0 12px 0 rgba(0, 0, 0, 0.08);
  border: solid 1px #efefef;
  background-color: #fff;
  display: flex;
  flex-flow: column nowrap;

  .separator{
    height: 1px;
    width: 100%;
    background-color: #efefef;
    margin: 16px 0;
  }

  .member-task-list {
    flex-basis: 1 1 0%;
    overflow: auto;
  }
}
</style>
